# Picobook

A website for hosting pico8 projects.

## Dependencies

Before you can run this locally, you must install:

- node (version 18) - I recommend installing through [nvm](https://github.com/nvm-sh/nvm#nvmrc)
- [docker desktop](https://www.docker.com/)

It might also be helpful to install [pgAdmin4](https://www.pgadmin.org/) and some helpful api app like postman (I use [HTTPie](https://httpie.io/)).

## Setup

```sh
nvm use
npm install
```

## Running it!

To run the application locally...

In one tab,
```sh
npm run dev-watch-client
```

In another,
```sh
npm run dev-docker
npm run dev-server
```
